cpu_mark_t(3)

NAME
cpu_mark_t - Internal structure, used in cpu_tsc_mark, cpu_tsc_unmark and cpu_clock_by_mark.

SYNOPSIS

#include <libcpuid.h>

  Data Fields
uint64_t tsc
uint64_t sys_clock

Detailed Description

Internal structure, used in cpu_tsc_mark, cpu_tsc_unmark and cpu_clock_by_mark.

Field Documentation

  uint64_t cpu_mark_t::sys_clock
In microsecond resolution

  uint64_t cpu_mark_t::tsc
Time-stamp from RDTSC

Author

Generated automatically by Doxygen for libcpuid from the source code.